Skip to main content
POST
/
internal
/
v3
/
users
/
create-or-get
curl -X POST 'https://api.picaos.com/internal/v3/users/create-or-get' \
  -H 'x-pica-secret: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "email": "test@example.com"
  }'
{
    "id": "526907ff-932e-4222-81ff-83f8adefad05",
    "email": "test@example.com",
    "throughput": 100,
    "secrets": {
      "live": "<USER_LIVE_KEY>",
      "sandbox": "<USER_SANDBOX_KEY>"
    }
}

Documentation Index

Fetch the complete documentation index at: https://docs.picaos.com/llms.txt

Use this file to discover all available pages before exploring further.

Body Parameters

email
string
required
The email address of the user to create

Response

id
string
The unique identifier for the user
email
string
The email address of the user
throughput
number
The rate limit throughput for the user
secrets
object
The API keys for the user
curl -X POST 'https://api.picaos.com/internal/v3/users/create-or-get' \
  -H 'x-pica-secret: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "email": "test@example.com"
  }'
{
    "id": "526907ff-932e-4222-81ff-83f8adefad05",
    "email": "test@example.com",
    "throughput": 100,
    "secrets": {
      "live": "<USER_LIVE_KEY>",
      "sandbox": "<USER_SANDBOX_KEY>"
    }
}